Subject: bug#38657: 27.0.50; Report build date in version

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 May 2022 11:58:24 +0200

noah <[email-masked]> writes:

> I think this is probably the wrong mailing list, as this
> isn't a bug, but a question/request about the pre-existing
> behaviour of emacs --version output.
>
> Personally, I think it would be useful to report the build
> date/git tag on the dev version on emacs, eg. something like
>
>     emacs --version
>     GNU Emacs 27.0.50-d55f2f74f5(2019-12-15)
>
> I realize this could be totally non-standard and break various
> other features, but I find myseff using an alias to retrieve
> this info from the command line occasionally (eg. emacs --eval ...).
> I think appending the git tag at least is somewhat common.

I think including this in the output would be nice, but perhaps not in
that form.  So I've added a line like the following to Emacs 29:

Development version 4766fe1daf9f on master branch; build date 2022-05-23.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no